# Uses of Class
org.kapott.hbci.sepa.jaxb.pain_001_001_02.CurrencyAndAmount

Packages that use CurrencyAndAmount
Package
Description
org.kapott.hbci.sepa.jaxb.pain_001_001_02

## Uses of CurrencyAndAmount in org.kapott.hbci.sepa.jaxb.pain_001_001_02

Fields in org.kapott.hbci.sepa.jaxb.pain_001_001_02 declared as CurrencyAndAmount
Modifier and Type
Field
Description
`protected CurrencyAndAmount`
ReferredDocumentAmount1Choice.`cdtNoteAmt`
`protected CurrencyAndAmount`
ReferredDocumentAmount1Choice.`dscntApldAmt`
`protected CurrencyAndAmount`
ReferredDocumentAmount1Choice.`duePyblAmt`
`protected CurrencyAndAmount`
ReferredDocumentAmount1Choice.`rmtdAmt`
`protected CurrencyAndAmount`
ReferredDocumentAmount1Choice.`taxAmt`
Methods in org.kapott.hbci.sepa.jaxb.pain_001_001_02 that return CurrencyAndAmount
Modifier and Type
Method
Description
`CurrencyAndAmount`
ObjectFactory.`createCurrencyAndAmount()`
Create an instance of `CurrencyAndAmount`
`CurrencyAndAmount`
ReferredDocumentAmount1Choice.`getCdtNoteAmt()`
Gets the value of the cdtNoteAmt property.
`CurrencyAndAmount`
ReferredDocumentAmount1Choice.`getDscntApldAmt()`
Gets the value of the dscntApldAmt property.
`CurrencyAndAmount`
ReferredDocumentAmount1Choice.`getDuePyblAmt()`
Gets the value of the duePyblAmt property.
`CurrencyAndAmount`
ReferredDocumentAmount1Choice.`getRmtdAmt()`
Gets the value of the rmtdAmt property.
`CurrencyAndAmount`
ReferredDocumentAmount1Choice.`getTaxAmt()`
Gets the value of the taxAmt property.
Methods in org.kapott.hbci.sepa.jaxb.pain_001_001_02 with parameters of type CurrencyAndAmount
Modifier and Type
Method
Description
`void`
ReferredDocumentAmount1Choice.`setCdtNoteAmt(CurrencyAndAmount value)`
Sets the value of the cdtNoteAmt property.
`void`
ReferredDocumentAmount1Choice.`setDscntApldAmt(CurrencyAndAmount value)`
Sets the value of the dscntApldAmt property.
`void`
ReferredDocumentAmount1Choice.`setDuePyblAmt(CurrencyAndAmount value)`
Sets the value of the duePyblAmt property.
`void`
ReferredDocumentAmount1Choice.`setRmtdAmt(CurrencyAndAmount value)`
Sets the value of the rmtdAmt property.
`void`
ReferredDocumentAmount1Choice.`setTaxAmt(CurrencyAndAmount value)`
Sets the value of the taxAmt property.